<?php

// Recoge la lista de amigos del usuario solicitante
$con=mysql_connect("localhost","root","opsivir")
 or die("Error: ".mysql_error());
$name = 'prueba';
$db = mysql_select_db($name,$con)
 or die("Error: ".mysql_error());

$user = mysql_escape_string($_GET["usuario"]); 
$ext = array("jpg", "png", "jpeg", "gif");
//seleccionaremos cualquier relacion de amistad añadida a la base de datos donde aparezca el usuario identificado
$result = mysql_query("SELECT user1,user2 FROM friends WHERE user1 = '$user' OR user2 = '$user'") or die("Error: ".mysql_error());


while($row = mysql_fetch_array($result))
  {
  $files = array();
  if($user != $row['user1']){
    $userAux = $row['user1'];
  }else{
    $userAux = $row['user2'];
  } 
  //Navegaremos hasta e directorio perteneciente a las imagenes del usuario amigo
  if($handle = opendir("C:/xampp/htdocs/tfg/uploads/".$userAux)) {
       while(false !== ($file = readdir($handle)))
           for($i=0;$i<sizeof($ext);$i++)
               if(strstr($file, ".".$ext[$i]))
                   $files[] = $file;
       closedir($handle);
  }
  //Si el usuario no tiene foto de perfil subida, se cargara una imagen por defecto localizada en la aplicacion
  if(count($files)==0){
  	$path = "img/imgpiso.bmp";
  }else{
  	$path = "http://kl0d.no-ip.biz/tfg/uploads/".$userAux."/".$files[0];
  }
  //Se mostraran de manera iterativa la lista de divs con la informacion de cada usuario amigo del usuario identificado
  echo "  <div class=\"marcos\">
            <table border=\"0\" style=\"width:100%\">
  	         <tr>
  		        <td><img src='$path' WIDTH=60% HEIGHT=20% ></td>
		          <td>
		            <table border=\"0\" style=\"width:100%\" class=\"letra\">
			           <tr>
			             <td>Nickname:</td>
			             <td>$userAux</td> 
			           </tr>
			           <tr>
			             <td><input type=\"button\" class=\"botonVuelos\" name=\"$userAux\" id=\"$userAux\" value=\"Go in!\" onClick=\"location.href='fichaAmigo.html?user=$userAux'\"></td>		
			           </tr>			
			          </table>
		          </td>
	           </tr>
            </table>
          </div>
          <br></br>";
  }
mysql_close($con);
?>